Bug 1286260 - Intel driver crashes when the system starts with a monitor attached
Intel driver crashes when the system starts with a monitor attached
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 11:43 EST by Martin Vysny
Modified: 2017-01-16 07:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:47:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vysny 2015-11-27 11:43:03 EST
I apologize if this report is incomplete - I am a fresh Fedora user and I have to learn how to report such errors properly.

Description of problem:
dmesg contains a kernel oops

Version-Release number of selected component (if applicable):


How reproducible:
Attach an external monitor to Dell XPS 15 and boot :)

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

[   67.922276] ------------[ cut here ]------------
[   67.922320] WARNING: CPU: 6 PID: 1886 at drivers/gpu/drm/i915/i915_gem.c:5269 i915_gem_track_fb+0x129/0x140 [i915]()
[   67.922323] WARN_ON(!(old->frontbuffer_bits & frontbuffer_bits))
[   67.922325] Modules linked in:
[   67.922328]  cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_nat ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_mangle ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw iptable_mangle bnep vfat fat snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep intel_rapl ath3k snd_seq snd_seq_device uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common btusb btrtl btbcm iosf_mbi snd_pcm videodev btintel x86_pkg_temp_thermal arc4 ath9k
[   67.922383]  ath9k_common ath9k_hw ath mac80211 cfg80211 iTCO_wdt snd_timer iTCO_vendor_support coretemp snd kvm_intel soundcore media mei_me bluetooth kvm dell_wmi sparse_keymap dell_laptop rfkill dcdbas bcache mei rtsx_pci_ms memstick joydev shpchp lpc_ich acpi_als i2c_i801 kfifo_buf industrialio dell_smo8800 nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 nouveau rtsx_pci_sdmmc crct10dif_pclmul mxm_wmi crc32_pclmul crc32c_intel 8021q ttm garp stp llc i2c_algo_bit sdhci_pci mrp drm_kms_helper sdhci serio_raw mmc_core r8169 drm rtsx_pci mii wmi video
[   67.922444] CPU: 6 PID: 1886 Comm: gnome-shell Not tainted 4.2.6-301.fc23.x86_64 #1
[   67.922447] Hardware name: Dell Inc. XPS L521X/029M77, BIOS A16 12/17/2013
[   67.922450]  0000000000000000 00000000d73a1c72 ffff88003f467a28 ffffffff817729ea
[   67.922454]  0000000000000000 ffff88003f467a80 ffff88003f467a68 ffffffff8109e4b6
[   67.922458]  ffff880446480000 0000000000000001 ffff88042d11e880 ffff88003f43c000
[   67.922462] Call Trace:
[   67.922472]  [<ffffffff817729ea>] dump_stack+0x45/0x57
[   67.922479]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[   67.922484]  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
[   67.922510]  [<ffffffffa036a739>] i915_gem_track_fb+0x129/0x140 [i915]
[   67.922542]  [<ffffffffa03b12d7>] intel_prepare_plane_fb+0xe7/0x1a0 [i915]
[   67.922554]  [<ffffffffa0107eb9>] drm_atomic_helper_prepare_planes+0x59/0xe0 [drm_kms_helper]
[   67.922584]  [<ffffffffa03a961e>] __intel_set_mode+0x1ae/0xb60 [i915]
[   67.922611]  [<ffffffffa03ab2df>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
[   67.922638]  [<ffffffffa03b0c86>] intel_crtc_set_config+0x2b6/0x580 [i915]
[   67.922660]  [<ffffffffa0045306>] drm_mode_set_config_internal+0x66/0x100 [drm]
[   67.922679]  [<ffffffffa0049819>] drm_mode_setcrtc+0x3e9/0x500 [drm]
[   67.922694]  [<ffffffffa003a365>] drm_ioctl+0x125/0x610 [drm]
[   67.922711]  [<ffffffffa0049430>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[   67.922718]  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
[   67.922723]  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
[   67.922727]  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
[   67.922733]  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
[   67.922737] ---[ end trace c50021f21baeb1e4 ]---
Comment 1 Martin Vysny 2015-11-27 11:56:58 EST
The system however boots and seems to work normally, so this is probably not a kernel crash per se.
Linux motopc 4.2.6-301.fc23.x86_64 #1 SMP Fri Nov 20 22:22:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 2 Laura Abbott 2016-09-23 15:32:05 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Laura Abbott 2016-10-26 12:47:48 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 4 Martin Vysny 2017-01-16 07:13:04 EST
Sorry for such a late reply. Can't reproduce it anymore, stopped evaluating Fedora and moved back to Ubuntu ;)

Note You need to log in before you can comment on or make changes to this bug.